import org.roboid.core.*;
import processing.hamster.*;
import org.roboid.robot.*;

Hamster hamster;

void setup() {
  hamster = Hamster.create(this);
}

// don't forget 'draw'
void draw() {
}

void repeat() {
  int leftProximity = hamster.leftProximity();
  int rightProximity = hamster.rightProximity();

  // left wheel
  int leftWheel = 0;
  if(leftProximity > 15) {
    leftWheel = (40 - leftProximity) * 4;
  }

  // right wheel
  int rightWheel = 0;
  if(rightProximity > 15) {
    rightWheel = (40 - rightProximity) * 4;
  }
  
  hamster.wheels(leftWheel, rightWheel);
}