import org.roboid.core.*;
import processing.hamster.*;
import org.roboid.robot.*;

Hamster hamster1, hamster2;
double note1 = 0, note2 = 0;

void setup() {
  hamster1 = Hamster.create(this);
  hamster2 = Hamster.create(this);
  Task.waitUntilReady();
}

// don't forget 'draw'
void draw() {
}

void repeat() {
  int proximity = hamster1.leftProximity();
  if(proximity < 10) {
    proximity = 0;
  }
  note1 = (note1 * 9 + proximity) / 10;
  hamster1.note((int)note1);

  proximity = hamster2.leftProximity();
  if(proximity < 10) {
    proximity = 0;
  }
  note2 = (note2 * 9 + proximity) / 10;
  hamster2.note((int)note2);
}